const express = require('express');
const app = express();
const port = 3000;

const http = require('http').createServer(app);
const io = require('socket.io')(http, {cors:{ origins: '*:*' }});

const clients = [];

io.on('connection', (socket) => {
    clients.push(socket);
    console.log('user connected');

    socket.on('disconnect', () => {
        clients.splice(clients.indexOf(socket), 1);
        console.log('user disconnected');
    });

});

app.get('/update-clients', (req, res) => {
    clients.forEach(socket => socket.emit('sensor-update'));
    res.send('ok');
});

http.listen(port, () => {
    console.log('running');
});

